

services:
  xivo_stats:
    image: "xivoxc/xivo-full-stats:${XIVOCC_TAG}.${XIVOCC_DIST}"

    extra_hosts:
      - db:${XIVO_HOST}

    environment:
    - JAVA_OPTS=-Xms64m -Xmx512m
    - XIVO_HOST
    - REPORTING_DATABASE_NAME=asterisk
    - DB_NAME=asterisk

    volumes:
      - /var/log/xivocc:/opt/docker/var/log
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

    restart: always

  pack_reporting:
    image: "xivoxc/pack-reporting:${XIVOCC_TAG}.${XIVOCC_DIST}"

    init: true

    extra_hosts:
      - "reporting:${XIVO_HOST}"


    environment:
    - WEEKS_TO_KEEP
    - REPORTING_DATABASE_NAME=asterisk

    volumes:
      - /var/log/xivocc:/opt/docker/var/log
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

    restart: always

  recording_server:
    image: "xivoxc/recording-server:${XIVOCC_TAG}.${XIVOCC_DIST}"

    extra_hosts:
      - reporting:${XIVO_HOST}
      - db:${XIVO_HOST}

    ports:
      - 9400:9000

    environment:
    - JAVA_OPTS=-Xms32m -Xmx128m
    - XIVO_HOST
    - RECORDING_WEEKS_TO_KEEP
    - APPLICATION_SECRET
    - PLAY_AUTH_TOKEN
    - REPORTING_DATABASE_NAME=asterisk

    restart: always

    volumes:
      - /var/log/xivocc:/opt/docker/var/log
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
      - /var/spool/recording-server:/var/spool/recording-server

  xuc:
    image: "xivoxc/xuc:${XIVOCC_TAG}.${XIVOCC_DIST}"

    ports:
      - ${XUC_PORT}:9000

    environment:
      - AMI_RECONNECT_ON_MISSED_PINGS
      - API_eventUrl
      - APPLICATION_SECRET
      - AUTH_CTI_EXPIRES
      - AUTH_PREVENT_XUC_LOGIN
      - AUTH_WEBSERVICE_EXPIRES
      - CAS_SERVER_URL
      - CHAT_SERVER_ADMIN_TOKEN
      - CHAT_SERVER_ENABLE
      - CHAT_SERVER_HOST
      - CHAT_SERVER_PORT
      - CHAT_SERVER_SECRET
      - CONFIG_MGT_HOST
      - CONFIG_MGT_PORT
      - DEPRECATED_API_HOST
      - DISABLE_CHAT
      - DIRECTORY_INTERNAL_SOURCE
      - DIRECTORY_SOURCES_PRIORITY
      - EDGE_SIP_PORT
      - ENABLE_OIDC
      - ENABLE_RECORDING_RULES
      - JAVA_OPTS=-Xms80m -Xmx512m
      - OIDC_ADDITIONAL_CLIENT_IDS
      - OIDC_ADDITIONAL_SERVERS_URL
      - OIDC_AUDIENCE
      - OIDC_CLIENT_ID
      - OIDC_SERVER_URL
      - PLAY_AUTH_TOKEN
      - RECORDING_SERVER_HOST
      - RECORDING_SERVER_PORT
      - SECURED_KRB5_PRINCIPAL
      - STOP_RECORDING_UPON_EXTERNAL_XFER
      - STUN_SERVER_ENABLE
      - TURN_SERVER_CREDENTIAL_TTL
      - TURN_SERVER_ENABLE
      - TURN_SERVER_SECRET
      - USM_EVENT_AMQP_SECRET
      - WS_THROTTLING_NB_MESSAGES
      - WS_THROTTLING_NB_MESSAGES_BURST
      - XIVO_AMI_KEEPALIVE
      - XIVO_AMI_PORT
      - XIVO_AMI_SECRET
      - XIVO_CTI_KEEP_ALIVE_INTERVAL
      - XIVO_CTI_VERSION
      - XIVO_DIRD_PROFILE
      - XIVO_HOST
      - XIVO_SIPDRV
      - XUC_AUTH_SECRET
      - XUC_HOST
      - XUC_INTERNAL_HOST

    volumes:
      - /var/log/xivocc:/opt/docker/var/log
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

    logging:
      driver: "json-file"

    restart: always

    networks:
      default:
        ipv4_address: ${DOCKER_NET_XUC_IP}

  xucmgt:
    image: "xivoxc/xucmgt:${XIVOCC_TAG}.${XIVOCC_DIST}"

    ports:
      - 8070:9000

    environment:
      - APP_LANG_FALLBACK
      - APPLICATION_SECRET
      - CALL_HISTORY_NB_OF_DAYS
      - CAS_LOGOUT_ENABLE
      - CAS_SERVER_URL
      - DISABLE_CHAT
      - ENABLE_OIDC
      - ENFORCE_MANAGER_SECURITY
      - EXTERNAL_VIEW_URL
      - HTTPS_PORT
      - ICE_GATHERING_TIMEOUT_MS
      - JAVA_OPTS=-Xms32m -Xmx128m
      - LOGIN_TIMEOUT_MS
      - NOTIFY_ON_HOLD
      - OIDC_CLIENT_ID
      - OIDC_LOGOUT_ENABLE
      - OIDC_SERVER_URL
      - SHOW_APP_DOWNLOAD
      - SHOW_CALLBACKS
      - SHOW_QUEUE_CONTROLS
      - SHOW_RECORDING_CONTROLS
      - THIRD_PARTY_LOGIN_URL
      - THIRD_PARTY_URL
      - USE_SSO
      - UC_SHOW_GROUP_CONTROL
      - XUC_HOST
      - XUC_PORT

    volumes:
      - /etc/docker/xucmgt:/opt/docker/conf/custom
      - /var/log/xivocc:/opt/docker/var/log
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

    logging:
      driver: "json-file"

    restart: always


networks:
  default:
    ipam:
      driver: default
      config:
        - subnet: ${DOCKER_NET}
